/* Breakpoints */

/* Sizes */

/* Breakpoints */

/* Sizes */

.section-dosie {
  height: 100%;
  position: relative;
}

.dosie__content {
  padding-bottom: 90px;
  position: relative;
  z-index: 5;
}

.dosie__logo {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 15px 0 35px;
}

.dosie__logo-icon {
  width: 70px;
  height: 52px;
}

.dosie__title {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  background: rgba(0, 79, 159, 0.8196078431);
  width: 100%;
  padding: 8px;
  height: 46px;
}

.dosie__heading {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.dosie__title-text {
  height: 25px;
}

.dosie__form {
  margin: 21px 16px 0;
}

.form__fields {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: start;
  align-items: start;
  gap: 20px;
  width: 100%;
}

.form__fields-row {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: start;
  align-items: start;
  gap: 20px;
  width: 100%;
}

.form__input-wrap {
  position: relative;
  width: 100%;
}

.form__field {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: start;
  align-items: start;
  gap: 8px;
  pointer-events: none;
  user-select: none;
}

.form__field span {
  color: var(--light-blue);
  font-size: 16px;
  text-transform: uppercase;
  pointer-events: none;
  user-select: none;
}

.form__field-title {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  gap: 6px;
}

.form__field-title span:first-child {
  width: 24px;
  height: 24px;
  line-height: 1;
  background: var(--blue);
  color: var(--white);
  flex-shrink: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  border-radius: 100px;
}

.form__input {
  width: 100%;
  background: var(--grey);
  padding: 18px 12px;
  height: 55px;
  border: 1px solid var(--blue);
  border-radius: var(--radius-main);
  font-size: 16px;
  color: var(--black);
  transition: border-color 0.25s ease;
  pointer-events: all;
}

.form__input.form__input-error {
  border-color: var(--error);
}

.form__error {
  position: absolute;
  left: 0;
  bottom: -18px;
  font-size: 12px;
  line-height: 1;
  color: var(--error);
  pointer-events: none;
}

.form__privacy {
  position: relative;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: start;
  align-items: center;
  gap: 10px;
  line-height: 1;
}

.form__checkbox {
  display: none;
}

.form__checkbox:checked ~ .form__checkboxWrap {
  background-color: var(--blue);
}

.form__checkbox:checked ~ .form__checkboxWrap .form__checkbox-icon {
  display: block;
}

.form__checkboxWrap {
  position: relative;
  width: 12px;
  height: 12px;
  border: 1px solid var(--blue);
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  background-color: var(--white);
  border-radius: 1px;
  transition: background-color 0.25s ease;
}

.form__checkboxWrap.form__checkboxWrap-error {
  border-color: var(--error);
  border-width: 3px;
}

.form__checkbox-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 7px;
  height: 6px;
  display: none;
}

.form__agreement {
  width: 100%;
  font-size: 14px;
  color: var(--black);
  font-family: var(--font-family2);
  font-weight: 300;
  user-select: none;
}

.form__error.form__error-checkbox {
  left: 0;
  bottom: -18px;
}

.form__button {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  padding: 16px 80px;
  color: var(--white);
  line-height: 1;
  border-radius: var(--radius-main);
  background-color: var(--blue);
  border: 1px solid var(--blue);
  cursor: pointer;
  transition: background-color 0.25s ease , border-color 0.25s ease , color 0.25s ease;
  width: 100%;
  max-width: 500px;
  font-size: 16px;
  margin: 32px 0 12px;
  user-select: none;
}

.form__button:disabled {
  color: white;
  border-color: transparent;
  background-color: var(--light-grey);
}

.dosie__img {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.4;
}

@media (min-width: 500px) {
  .form__privacy {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
  }

  .form__agreement {
    width: fit-content;
  }

  .form__button {
    max-width: 305px;
    margin: 32px auto 12px;
  }
}

@media (min-width: 768px) {
  .section-dosie {
    min-height: 100vh;
    min-height: calc(var(--vh, 1vh) * 100);
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
  }

  .dosie__content {
    width: 100%;
  }

  .form__fields {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: start;
  }

  .form__field-target span {
    height: 67px;
  }

  .form__field-where span {
    height: 67px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: end;
  }

  .form__field-where span:first-child {
    align-self: end;
  }
}

@media (min-width: 837px) {
  .form__field-target span {
    height: 45px;
  }

  .form__field-where span {
    height: 45px;
  }
}

@media (min-width: 1100px) {
  .dosie__content {
    padding-bottom: 78px;
    position: unset;
  }

  .dosie__wrap {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    margin-left: 248px;
    margin-right: 80px;
  }

  .dosie__logo {
    padding: 32px 0 28px;
    width: calc(100% - 168px);
    margin-left: 168px;
  }

  .dosie__logo-icon {
    width: 127px;
    height: 95px;
  }

  .dosie__title {
    position: absolute;
    width: 168px;
    height: 100%;
    left: 0;
    bottom: 0;
    top: 0;
  }

  .dosie__title-text {
    transform: rotate(-90deg);
    height: 60px;
    width: 597px;
  }

  .dosie__form {
    margin: 0;
    flex-grow: 1;
  }

  .form__fields {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: start;
    gap: 30px;
  }

  .form__fields-row {
    gap: 32px;
  }

  .form__field {
    gap: 14px;
  }

  .form__button {
    margin: 42px auto 12px;
  }

  .dosie__img {
    left: 168px;
  }

  .form__field-target span {
    height: 67px;
  }

  .form__field-where span {
    height: 67px;
  }
}

@media (min-width: 1106px) {
  .form__field-target span {
    height: 45px;
  }

  .form__field-where span {
    height: 45px;
  }
}

@media (min-width: 1627px) {
  .form__field-target span {
    height: auto;
  }

  .form__field-where span {
    height: auto;
    display: block;
  }
}

@media (hover: hover) {
  .form__button:hover {
    color: var(--blue);
    background-color: var(--grey);
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
